# -*- coding: utf_8 -*-

from pandac.PandaModules import *
from direct.task import Task
from math import pi
from modules.tank import gameTank

class gameBot(gameTank):
	napravlenie = -1
	
	def __init__(self, model= "res/actors/tank", pos = (2,2,0,0,0,0), nick = "default-bot", mask = 0, speed = 2):
		gameTank.__init__(self, model, pos, nick, mask, speed)
		
		self.napravlenie = -1
		
		taskMgr.add(self.moveBOT, 'move-task-BOT')
		
	def moveBOT(self, task):
		elapsed = globalClock.getDt()
		self.node.setY(self.node, elapsed*self.speed)
		self.angleTank = self.angleTank + (elapsed*10.0 * self.napravlenie)
		
		#print self.napravlenie
		return Task.cont