# -*- coding: utf_8 -*-

from direct.showbase.ShowBase import ShowBase
from modules.location import gameLocation
from modules.player import gamePlayer
from modules.bot import gameBot
from pandac.PandaModules import *
from direct.gui.DirectGui import *
import sys
from CameraHandler import CameraHandler

###
loadPrcFileData('', 'load-display pandagl')
#loadPrcFileData('', 'load-display pandadx9')
#loadPrcFileData('', 'load-display pandadx8')
loadPrcFileData('', 'text-encoding utf8')
loadPrcFileData('', 'window-title Tanki')

class MyApp(ShowBase):
	def __init__(self):
		ShowBase.__init__(self)
		
		base.accept("escape", sys.exit)
		base.cTrav = CollisionTraverser()
		
		
		environ=gameLocation()
		environ.initTerrain()
		environ.loadTerrain('res/textures/heightfield.png')
		environ.setTexture('res/textures/grass2.png',1,1)
		environ.setLights(Vec4(0.6,0.6,0.6,1), Vec4(1,1,1,1))
		
		CH = CameraHandler()
		CH.camDist=100
		CH.setTarget(140,150,0)
		#player = gamePlayer("res/actors/tank", (30,30,80,0,0,0),"Т-34\nСупер танк PLAYER",5,10)
		
		#"""
		self.bots=[]
		for k in xrange(0,6):
			for h in xrange(0,6):
				#self.bots.append(gameBot("res/actors/tank", (k+125,h+125,80,0,0,0),"Т-34\nСупер танк Бот",5,1+(k*h)*0.3))
				self.bots.append(gameBot("res/actors/tank", (k+125,h+125,80,0,0,0),"Т-34\nСупер танк Бот",5, 5))
		#"""
		
		#bot = gameBot("res/actors/tank", (30,33,80,0,0,0),"Т-34\nСупер танк Бот1",5,2)
		#bot2 = gameBot("res/actors/tank", (30,35,80,0,0,0),"Т-34\nСупер танк Бот2",5,2)
		
		
		#base.cTrav.showCollisions(render)
		
		

app = MyApp()
#render.explore()
run()